Show / Hide Table of Contents

# AsyncAnimatorMoveTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncAnimatorMoveTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncAnimatorMoveTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnAnimatorMoveAsyncHandler() |
GetOnAnimatorMoveAsyncHandler(CancellationToken) |
OnAnimatorMoveAsync() |
OnAnimatorMoveAsync(CancellationToken) |

### Methods

#### GetOnAnimatorMoveAsyncHandler()

    public IAsyncOnAnimatorMoveHandler GetOnAnimatorMoveAsyncHandler()

##### Returns

IAsyncOnAnimatorMoveHandler

#### GetOnAnimatorMoveAsyncHandler(CancellationToken)

    public IAsyncOnAnimatorMoveHandler GetOnAnimatorMoveAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnAnimatorMoveHandler

#### OnAnimatorMoveAsync()

    public UniTask OnAnimatorMoveAsync()

##### Returns

UniTask

#### OnAnimatorMoveAsync(CancellationToken)

    public UniTask OnAnimatorMoveAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>